var Schema = require('mongoose').Schema;


var Split = new Schema({
  reps: String,
  weight: String
});


var Element = new Schema({
  exerciseID: { type: Schema.ObjectId, ref: 'Exercise'},
  modifier: {type: Number},
  splits: [Split]
});


var workoutSchema = new Schema({

userID: { type: Schema.ObjectId, ref: 'User', required: true },
workoutDate: { type: Date, 'default': Date.now },
workoutTime: { type: Date, 'default': Date.now },
privacySetting: { type: Number},
Notes: { type: String},
templateID: { type: Schema.ObjectId, ref: 'Template'},
circuits: [Number],
elements: [Element]

});

module.exports = workoutSchema;